# ChestProtectListener (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.listeners

## Class ChestProtectListener

- java.lang.Object
- - de.epiceric.shopchest.listeners.ChestProtectListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class ChestProtectListener
    extends Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`ChestProtectListener(ShopChest plugin, com.sk89q.worldguard.bukkit.WorldGuardPlugin worldGuard)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBlockBreak(org.bukkit.event.block.BlockBreakEvent e)`
`void` `onBlockPlace(org.bukkit.event.block.BlockPlaceEvent e)`
`void` `onEntityExplode(org.bukkit.event.entity.EntityExplodeEvent e)`
`void` `onHologramDamage(org.bukkit.event.entity.EntityDamageEvent e)`
`void` `onItemMove(org.bukkit.event.inventory.InventoryMoveItemEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChestProtectListener

    public ChestProtectListener(ShopChest plugin,
                                com.sk89q.worldguard.bukkit.WorldGuardPlugin worldGuard)

### Method Detail

#### onBlockBreak

    public void onBlockBreak(org.bukkit.event.block.BlockBreakEvent e)

#### onEntityExplode

    public void onEntityExplode(org.bukkit.event.entity.EntityExplodeEvent e)

#### onBlockPlace

    public void onBlockPlace(org.bukkit.event.block.BlockPlaceEvent e)

#### onHologramDamage

    public void onHologramDamage(org.bukkit.event.entity.EntityDamageEvent e)

#### onItemMove

    public void onItemMove(org.bukkit.event.inventory.InventoryMoveItemEvent e)